Bug 887577 - getaddrinfo with AI_ADDRCONFIG may fail to properly resolve /etc/hosts names, e.g. getaddrinfo("localhost")
getaddrinfo with AI_ADDRCONFIG may fail to properly resolve /etc/hosts names,...
Status: NEW
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
:
Depends On: 843054
Blocks: dualstack
  Show dependency treegraph
 
Reported: 2012-12-16 09:25 EST by Pavel Šimerda (pavlix)
Modified: 2016-02-04 01:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 14966 None None None Never

  None (edit)
Description Pavel Šimerda (pavlix) 2012-12-16 09:25:03 EST
AI_ADDRCONFIG may cause getaddrinfo() to filter out IPv4 or IPv6 addresses, depending on the network configuration. Detailed info here:

https://fedoraproject.org/wiki/Networking/NameResolution/ADDRCONFIG

Related Fedora bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=721350
Comment 1 Pavel Šimerda (pavlix) 2012-12-16 10:58:19 EST
This also covers getaddrinfo("localhost"), getaddrinfo("localhost4"), getaddrinfo("localhost6"), or getaddrinfo(myhostname) cases.
Comment 2 Fedora Admin XMLRPC Client 2013-01-28 15:08:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-03 17:16:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jan Kurik 2015-07-15 10:55:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.